Ensure a transactional email has a draft
Transactional emails
Ensure a transactional email has a draft
Ensure a transactional email has a draft email message ready for editing, creating one from the published version if no draft currently exists.
POST
Ensure a transactional email has a draft
If a draft email message already exists, it is returned unchanged. Otherwise a
new empty draft is created (seeded from the most recent published version when
present).
Use the returned
draftEmailMessageId and draftEmailMessageContentRevisionId when calling Update an email message to edit the draft’s content.
Request
Path parameters
The ID of the transactional email.
Body
No request body.Response
Success
The transactional email ID.
The transactional email’s name.
The ID of the draft email message.
The
contentRevisionId of the draft email message. Pass this as
expectedRevisionId on your first update via
Update an email message.The ID of the published email message, if one exists.
The ID of the group this transactional email belongs to.
ISO 8601 timestamp for when the transactional email was created.
ISO 8601 timestamp for when the transactional email was last updated.
Data variable names used by the published email. Empty for unpublished
transactional emails.
Error
Ifid is invalid, or if no sending domain is configured, a
400 Bad Request is returned.
A 404 Not Found is returned if the transactional email does not exist.
If the API key is invalid (or content API is not enabled for your team), a
401 Unauthorized is returned.
An error message describing what went wrong.
Last modified on June 22, 2026

